package constants

type Permission struct {
	Name   string `json:"name"`
	Remark string `json:"remark"`
}

const (
	// ------------------- 用户系统User的权限 -------------------
	UserPermissionMechanismView               = "user:mechanism:view"              // 机构查看
	UserPermissionMechanismEdit               = "user:mechanism:edit"              // 机构编辑
	UserPermissionMechanismDelete             = "user:mechanism:delete"            // 机构删除
	UserPermissionMedicalDataView             = "user:medicalData:view"            // 查看医疗数据
	UserPermissionMedicalDataEdit             = "user:medicalData:edit"            // 编辑医疗数据
	UserPermissionMedicalDataAbandon          = "user:medicalData:abandon"         // 作废医疗数据
	UserPermissionMedicalDataAnalysis         = "user:medicalData:analysis"        // 分析医疗数据
	UserPermissionMedicalDataRawDataView      = "user:medicalData:rawData:view"    // 查看医疗数据原始数据
	UserPermissionMedicalDataConfirm          = "user:medicalData:confirm"         // 确认医疗报告
	UserPermissionMedicalCompareReportView    = "user:medicalCompareReport:view"   // 横向对比报告查看
	UserPermissionArchivesView                = "user:archive:view"                // 档案查看
	UserPermissionArchivesEdit                = "user:archive:edit"                // 档案编辑
	UserPermissionArchivesRunAlgor            = "user:archives:runAlgor"           // 运行算法
	UserPermissionArchivesFormTemplateView    = "user:archiveFormTemplate:delete"  // 档案表单模板查看
	UserPermissionArchivesFormTemplateEdit    = "user:archiveFormTemplate:edit"    // 档案表单模板编辑
	UserPermissionArchivesMechanismConfigView = "user:archiveMechanismConfig:view" // 档案机构配置查看
	UserPermissionArchivesMechanismConfigEdit = "user:archiveMechanismConfig:edit" // 档案机构配置编辑
	UserPermissionFormView                    = "user:form:view"                   // 表单查看
	UserPermissionFormEdit                    = "user:form:edit"                   // 表单编辑
	UserPermissionFormFieldEdit               = "user:formField:edit"              // 表单字段编辑
	UserPermissionFormFieldDelete             = "user:formField:delete"            // 表单字段删除
	UserPermissionSurveyView                  = "user:survey:view"                 // 查看问卷信息
	UserPermissionSurveyEdit                  = "user:survey:edit"                 // 编辑问卷信息
	UserPermissionSurveyAuthorizeView         = "user:surveyAuthorize:view"        // 问卷授权查看
	UserPermissionSurveyAuthorizeEdit         = "user:surveyAuthorize:edit"        // 问卷授权编辑
	UserPermissionSurveyResultView            = "user:surveyResult:view"           // 问卷结果查看
	UserPermissionSurveyResultEdit            = "user:surveyResult:edit"           // 问卷结果编辑
	UserPermissionAlgorAuthorizeView          = "user:algorAuthorize:view"         // 算法授权查看
	UserPermissionWallet                      = "user:wallet"                      // 算法授权查看
	UserPermissionGroupMedicalReportView      = "user:groupMedicalReport:view"     // 查看群体医疗报告
	UserPermissionGroupMedicalReportEdit      = "user:groupMedicalReport:edit"     // 编辑群体医疗报告
	UserPermissionGroupMedicalReportDelete    = "user:groupMedicalReport:delete"   // 删除群体医疗报告
	UserPermissionGroupMedicalReportAnalysis  = "user:groupMedicalReport:analysis" // 分析群体医疗报告

	UserPermissionDataPrivacyArchivesInfo = "user:dataPrivacy:archivesInfo" // 查看档案信息中隐私数据
)

var UserPermissionNames = map[string]*Permission{
	UserPermissionMechanismView: {
		Name: "机构查看",
	},
	UserPermissionMechanismEdit: {
		Name: "机构编辑",
	},
	UserPermissionMechanismDelete: {
		Name: "机构删除",
	},
	UserPermissionMedicalDataView: {
		Name: "查看医疗数据",
	},
	UserPermissionMedicalDataEdit: {
		Name: "编辑医疗数据",
	},
	UserPermissionMedicalDataAbandon: {
		Name: "作废医疗数据",
	},
	UserPermissionMedicalDataAnalysis: {
		Name: "分析医疗数据",
	},
	UserPermissionMedicalDataRawDataView: {
		Name: "查看医疗数据原始数据",
	},
	UserPermissionMedicalDataConfirm: {
		Name: "确认医疗报告",
	},
	UserPermissionMedicalCompareReportView: {
		Name: "用户数据",
	},
	UserPermissionArchivesView: {
		Name: "档案查看",
	},
	UserPermissionArchivesEdit: {
		Name: "档案编辑",
	},
	UserPermissionArchivesRunAlgor: {
		Name: "档案综合分析",
	},
	UserPermissionArchivesFormTemplateView: {
		Name: "档案表单模板查看",
	},
	UserPermissionArchivesFormTemplateEdit: {
		Name: "档案表单模板编辑",
	},
	UserPermissionArchivesMechanismConfigView: {
		Name: "档案机构配置查看",
	},
	UserPermissionArchivesMechanismConfigEdit: {
		Name: "档案机构配置编辑",
	},
	UserPermissionFormView: {
		Name: "表单查看",
	},
	UserPermissionFormEdit: {
		Name: "表单编辑",
	},
	UserPermissionFormFieldEdit: {
		Name: "表单字段编辑",
	},
	UserPermissionFormFieldDelete: {
		Name: "表单字段删除",
	},
	UserPermissionSurveyView: {
		Name: "查看问卷信息",
	},
	UserPermissionSurveyEdit: {
		Name: "编辑问卷信息",
	},
	UserPermissionSurveyAuthorizeView: {
		Name: "问卷授权查看",
	},
	UserPermissionSurveyAuthorizeEdit: {
		Name: "问卷授权编辑",
	},
	UserPermissionSurveyResultView: {
		Name: "问卷结果查看",
	},
	UserPermissionSurveyResultEdit: {
		Name: "问卷结果编辑",
	},
	UserPermissionAlgorAuthorizeView: {
		Name: "算法授权查看",
	},

	UserPermissionDataPrivacyArchivesInfo: {
		Name: "档案敏感数据查看",
	},
	UserPermissionWallet: {
		Name: "钱包管理",
	},
	UserPermissionGroupMedicalReportView: {
		Name: "查看团体报告",
	},
	UserPermissionGroupMedicalReportEdit: {
		Name: "创建和编辑团体报告",
	},
	UserPermissionGroupMedicalReportDelete: {
		Name: "删除团体报告",
	},
	UserPermissionGroupMedicalReportAnalysis: {
		Name: "分析团体报告",
	},
}
